Subject: Re: How can I make flash writeable?

From: Marco Stornelli <[email-masked]>
Date: Fri, 17 Oct 2008 09:01:30 +0200

Hi Mark,

> How can I tell which devices are mapped to /proc/mtd devices?

If I well understand the question, you'd like to change the partitions
layout (?), so you should check out the dts file to see the flash
layout, then you can specify there the partitions and change the
dimensions, if they are read-only...and so on.

Regards,

Mark Bishop ha scritto:
> I am using the MPC8313E-RDB and I am having some problems using the
> flash that comes on the board.  Let me preface this by saying that I
> haven't worked in the embedded linux arena in about 10 years so I am
> trying to catch up with all the new toys.
> 
> This board uses uBoot and it currently has 128M of DDR2, 8M flash and
> 32M NAND Flash.  I have a few questions:
> 
> How can I tell which memory device it uses to boot out of?
> How can I tell which devices are mapped to /proc/mtd devices?
> 
> 
> I want to create a writeable flash partition, is there a FAQ out there I
> could look at.
> 
> All of this is after a few days of using Google to try and glean some
> data from the internet.  And the books don't get here from Amazon until
> Monday.
> 
> I would appreciate any help.  Even a RTFM - if you could point me to
> TFM, it would greatly help.
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838